<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
if ( ! class_exists( 'YITH_Featured_Audio_Video_Frontend_Premium' ) ) {

	class YITH_Featured_Audio_Video_Frontend_Premium extends YITH_Featured_Audio_Video_Frontend {

		protected static $instance;
		protected $counter;

		public function __construct() {

			parent::__construct();

		}


		/** return single instance of class
		 * @return YITH_Featured_Audio_Video_Frontend_Premium
		 * @since 2.0.0
		 * @author YITH
		 */
		public static function get_instance() {
			if ( is_null( self::$instance ) ) {
				self::$instance = new self();
			}

			return self::$instance;
		}

		/**
		 * @param string $html
		 * @param int $post_thumbnail_id
		 *
		 * @return string
		 * @since 2.0.0
		 *
		 * @author Salvatore Strano
		 */
		public function get_video_audio_content( $html, $post_thumbnail_id = false ) {

			global $product;

			if ( 0 == $this->counter && $post_thumbnail_id && $post_thumbnail_id == $product->get_image_id() ) {


				$video_args = YITH_Featured_Video_Manager()->get_featured_args( $product );

				if ( ! empty( $video_args ) ) {


					if ( !apply_filters( 'yith_fav_include_featured_image', false, $html, $post_thumbnail_id ) ) {
						$html = YITH_Featured_Video_Manager()->get_featured_template( $video_args );
					} else {
						$featured_image_html = $html;
						$html                = YITH_Featured_Video_Manager()->get_featured_template( $video_args );
						$html               .= $featured_image_html;
					}

					$this->counter ++;

				}
			}

			return $html;
		}

	}
}
